/*==============================================================*/
/* 批量处理字符字段的缺省值*/
/*==============================================================*/

EXEC p_AlterColumn 'T_MSPLAN_GTTSOURCE', 'FNUMBER', 'NVARCHAR(30)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GTTSOURCE', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GTTSOURCE', 'FSTATUS', 'NVARCHAR(1)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GTTSOURCE', 'FENABLE', 'NVARCHAR(1)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GTTSOURCE', 'FPOSTRALATIONFLAG', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GTTSOURCE', 'FPRERALATIONFLAG', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GTTSOURCE', 'FPOSTRALATIONNAME', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GTTSOURCE', 'FPRERALATIONNAME', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GTTSOURCE', 'FPREENTITY', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GTTSOURCE', 'FPRERALATION', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GTTSOURCE', 'FPOSTENTITY', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GTTSOURCE', 'FPOSTRALATION', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';

EXEC p_AlterColumn 'T_MSPLAN_GTTSOURCE_L', 'FPKID', 'NVARCHAR(255)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GTTSOURCE_L', 'FLOCALEID', 'NVARCHAR(255)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GTTSOURCE_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '0011', ''' ''';


EXEC p_AlterColumn 'T_MSPLAN_ENTITY', 'FFILTER', 'NVARCHAR(255)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_ENTITY', 'FFILTERTEXT', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_ENTITY', 'FTIMEFIELD', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_ENTITY', 'FGROUPFIELD', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_ENTITY', 'FGANTTTYPE', 'NVARCHAR(5)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_ENTITY', 'FUPGROUPFIELD', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_ENTITY', 'FUPUPGROUPFIELD', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';


EXEC p_AlterColumn 'T_MSPLAN_CROSSSET', 'FSTARTDATEFILED', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_CROSSSET', 'FENDDATEFILED', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_CROSSSET', 'FCROSSFLAGCONTENT', 'NVARCHAR(2000)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_CROSSSET', 'FCROSSFLAGDETAILCONTENT', 'NVARCHAR(2000)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_CROSSSET', 'FCROSSOBJ', 'NVARCHAR(5)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_CROSSSET', 'FFLAGCONNECTOR', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_CROSSSET', 'FFLAGDETAILCONNECTOR', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_CROSSSET', 'FLANDMARKSFILED', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';


EXEC p_AlterColumn 'T_MSPLAN_FENTRYETY', 'FENTRYFIELDFLAG', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_FENTRYETY', 'FENTRYFIELDNAME', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_FENTRYETY', 'FENTRYFIELDALIGN', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';


EXEC p_AlterColumn 'T_MSPLAN_FILTER', 'FENTITYCONDSET', 'NVARCHAR(1000)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_FILTER', 'FENTITYCONDALIGN', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_FILTER', 'FENTITYCONDFILTER', 'NVARCHAR(255)', 'NOT NULL', '0011', ''' ''';


EXEC p_AlterColumn 'T_MSPLAN_FILTERENTRY', 'FTOFILTERFLAG', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';

EXEC p_AlterColumn 'T_MSPLAN_CROSSTYPE', 'FNUMBER', 'NVARCHAR(30)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_CROSSTYPE', 'FNAME', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_CROSSTYPE', 'FSTATUS', 'NVARCHAR(1)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_CROSSTYPE', 'FENABLE', 'NVARCHAR(1)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_CROSSTYPE', 'FCROSSOBJ', 'NVARCHAR(5)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_CROSSTYPE', 'FCROSSTYPE', 'NVARCHAR(5)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_CROSSTYPE', 'FREMARK', 'NVARCHAR(255)', 'NOT NULL', '0011', ''' ''';

EXEC p_AlterColumn 'T_MSPLAN_CROSSTYPE_L', 'FPKID', 'NVARCHAR(255)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_CROSSTYPE_L', 'FLOCALEID', 'NVARCHAR(255)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_CROSSTYPE_L', 'FNAME', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';


EXEC p_AlterColumn 'T_MSPLAN_GEMAPPING', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GEMAPPING', 'FNUMBER', 'NVARCHAR(30)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GEMAPPING', 'FSTATUS', 'NVARCHAR(1)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GEMAPPING', 'FENABLE', 'NVARCHAR(1)', 'NOT NULL', '0011', ''' ''';


EXEC p_AlterColumn 'T_MSPLAN_GEMAPPING_L', 'FPKID', 'NVARCHAR(255)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GEMAPPING_L', 'FLOCALEID', 'NVARCHAR(255)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_GEMAPPING_L', 'FNAME', 'NVARCHAR(200)', 'NOT NULL', '0011', ''' ''';


EXEC p_AlterColumn 'T_MSPLAN_JVWSCHCROSS', 'FCROSSOBJ', 'NVARCHAR(5)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_JVWSCHCROSS', 'FCROSSSHAP', 'NVARCHAR(5)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_JVWSCHCROSS', 'FHEIGHT', 'NVARCHAR(5)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_JVWSCHCROSS', 'FPOSITION', 'NVARCHAR(5)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_JVWSCHCROSS', 'FCROSSCOLOR', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';


EXEC p_AlterColumn 'T_MSPLAN_JVWSCHGROUP', 'FGROUPFLAG', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_JVWSCHGROUP', 'FBANDCOLORVAL', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_JVWSCHGROUP', 'FBANDCOLOR', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';


EXEC p_AlterColumn 'T_MSPLAN_JVWSCHEMSET', 'FCOLUMNFLAG', 'NVARCHAR(5)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_JVWSCHEMSET', 'FALIGN', 'NVARCHAR(10)', 'NOT NULL', '0011', ''' ''';


EXEC p_AlterColumn 'T_MSPLAN_VWSCHEME_L', 'FPKID', 'NVARCHAR(255)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_VWSCHEME_L', 'FLOCALEID', 'NVARCHAR(255)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_VWSCHEME_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '0011', ''' ''';


EXEC p_AlterColumn 'T_MSPLAN_VWSCHEME', 'FNUMBER', 'NVARCHAR(30)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_VWSCHEME', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_VWSCHEME', 'FSTATUS', 'NVARCHAR(1)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_VWSCHEME', 'FENABLE', 'NVARCHAR(1)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_VWSCHEME', 'FCTRLSTRATEGY', 'NVARCHAR(5)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_VWSCHEME', 'FAREA', 'NVARCHAR(255)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_VWSCHEME', 'FLINETYPE', 'NVARCHAR(5)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_VWSCHEME', 'FCOLORVALUE', 'NVARCHAR(50)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_VWSCHEME', 'FASSISLINETYPE', 'NVARCHAR(5)', 'NOT NULL', '0011', ''' ''';
EXEC p_AlterColumn 'T_MSPLAN_VWSCHEME', 'FASSISHLINETYPE', 'NVARCHAR(5)', 'NOT NULL', '0011', ''' ''';
